aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/test-dependencies.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/scripts/test-dependencies.sh b/scripts/test-dependencies.sh
index ecbb710c6b..2bcc2ca4f6 100755
--- a/scripts/test-dependencies.sh
+++ b/scripts/test-dependencies.sh
@@ -244,9 +244,11 @@ compare_deps() {
else
missing_deps=
for dep in ${max_deps}; do
- echo "${min_deps}" | grep -q " ${dep} " || missing_deps="${missing_deps} ${dep}"
- echo # to get rid of dots on last line
- echo "WARN: ${recipe}: ${package} rdepends on ${dep} but its not a build dependency?" | tee -a ${OUTPUT_FILE}
+ if ! echo "${min_deps}" | grep -q " ${dep} " ; then
+ missing_deps="${missing_deps} ${dep}"
+ echo # to get rid of dots on last line
+ echo "WARN: ${recipe}: ${package} rdepends on ${dep}, but it isn't a build dependency?" | tee -a ${OUTPUT_FILE}
+ fi
done
if [ -n "${missing_deps}" ] ; then
echo ${recipe} >> ${OUTPUTC}/failed-recipes.log